Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.jpg
Class JPGEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiEncoderBase
                  |
                  +--com.sun.jimi.core.encoder.jpg.JPGEncoder

public class JPGEncoder
extends JimiEncoderBase
implements OptionsObject

An integrating front end to the JPG Baseline image encoder purchased. This is reasonable the whole lot could be improved and tightened up. Should make a thorough check of the error condition handling throughout the jpg encoder as I believe currently it ignores many errors.

Field Summary
`static short` | `CS_GRAYSCALE`
`static short` | `CS_RGB`
`static short` | `CS_UNKNOWN`
`static short` | `CS_YCbCr`
`Shared` | `shared`

Fields inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`currentImage, DONE, ERROR, factory, MAX_COLORS_RGB, MULTIIMAGE, NEXTIMAGE`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`JPGEncoder()`

Method Summary
`void` | `clearProperties()`
`boolean` | `driveEncoder()`
`void` | `freeEncoder()`
`OptionsObject` | `getOptionsObject()`
`java.lang.Object` | `getPossibleValuesForProperty(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String key)`
`java.lang.String` | `getPropertyDescription(java.lang.String name)`
`java.util.Enumeration` | `getPropertyNames()`
`int` | `getState()`
`void` | `initSpecificEncoder(java.io.OutputStream out, AdaptiveRasterImage ji)` This initialiser actually takes a fair amount of time because it has to retrieve image details to initialise the JPG code.
`void` | `setProperty(java.lang.String key, java.lang.Object val)`

Methods inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`createAdaptiveRasterImage, createAdaptiveRasterImage, encodeImage, encodeImage, encodeImages, encodeImages, getCapabilties, getJimiImage, getMaxColors, setJimiImage, setNumberOfImages, setProgress`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CS_UNKNOWN

    public static final short CS_UNKNOWN

### CS_GRAYSCALE

    public static final short CS_GRAYSCALE

### CS_RGB

    public static final short CS_RGB

### CS_YCbCr

    public static final short CS_YCbCr

### shared

    public Shared shared

Constructor Detail

### JPGEncoder

    public JPGEncoder()

Method Detail

### initSpecificEncoder

    public void initSpecificEncoder(java.io.OutputStream out,
                                    AdaptiveRasterImage ji)
                             throws JimiException

  This initialiser actually takes a fair amount of time because it has to retrieve image details to initialise the JPG code. The initialisation of JPG code could be re-arranged to move it to driveDecoder() but it is not important now and will occur when JPG Encoder is modified to allow for quality setting JPG saving.
  Overrides:
    initSpecificEncoder in class JimiEncoderBase

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

  Overrides:
    driveEncoder in class JimiEncoderBase

### freeEncoder

    public void freeEncoder()
                     throws JimiException

  Overrides:
    freeEncoder in class JimiEncoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiEncoderBase

### getOptionsObject

    public OptionsObject getOptionsObject()

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object val)
                     throws InvalidOptionException

### getPossibleValuesForProperty

    public java.lang.Object getPossibleValuesForProperty(java.lang.String name)
                                                  throws InvalidOptionException

### getPropertyDescription

    public java.lang.String getPropertyDescription(java.lang.String name)
                                            throws InvalidOptionException

### clearProperties

    public void clearProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD